.Intro {
    display: flex;
    height: 100vh;
    min-height: 600px;
    position: relative;
    overflow: hidden;
    color: white;
    z-index: 1;

    &-contacts {
        font-size: 20px;
        line-height: 47px;
        position: absolute;
        left: 20px;
        top: 20px;
        display: flex;

        @media @mobile {
            top: 15px;
            left: 10px;
            font-size: 14px;
            line-height: 20px;
            flex-direction: column;
        }

        a {
            transition: transform .3s ease;

            &:hover {
                transform: translate3d(0, -5px, 0);
            }
        }
    }

    &-phone {
        position: relative;
        margin-right: 29px;

        &:after {
            content: '';
            width: 14px;
            height: 14px;
            border-radius: 50%;
            background: @green;
            position: absolute;
            top: ~'calc(50% + 2px)';
            right: -21px;
            transform: translate3d(0, -50%, 0);
            animation: light 2s infinite;
        }

        @keyframes light {
            0% {
                opacity: 1;
            }
            50% {
                opacity: 0;
            }
        }
    }

    &-bgPreview {
        position: absolute;
        background: #2b2b2b;
        background-size: cover;
        background-position: top, left;
        min-width: 100%;
        min-height: 100%;
        width: auto;
        height: auto;
        z-index: -3;
    }

    &-videoBackground {
        display: block;
        position: absolute;
        right: 0;
        bottom: 0;
        min-width: 100%;
        min-height: 100%;
        width: auto;
        height: auto;
        z-index: -2;

        @media @mobile {
            display: none;
        }

        @media @mobile-mini {
            display: none;
        }
    }

    &-overlay {
        position: absolute;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        min-width: 100%;
        min-height: 100%;
        background: rgba(0, 0, 0, 0.4);
        z-index: -1;
        pointer-events: none;
    }

    &-info {
        margin: auto;
        transform: translate3d(0, 5%, 0);
        //position: relative;
    }

    &-subTitle {
        font-size: 20px;
        line-height: 20px;
        //position: absolute;
        //top: -35px;
        //left: 50%;
        //transform: translate3d(-50%, 0, 0);
        text-transform: uppercase;
        text-align: center;
        margin-bottom: 15px;
        font-weight: 400;

        @media @desktop-xxl {
            font-size: 24px;
            line-height: 30px;
            margin-bottom: 30px;
        }
    }

    &-title {
        font-size: 75px;
        line-height: 90px;
        text-align: center;
        text-transform: uppercase;
        letter-spacing: .25px;
        font-weight: 700;
        max-width: 1200px;
        margin: auto;
        margin-bottom: 40px;

        @media @desktop-mini {
            font-size: 75px;
            line-height: 90px;
        }

        @media @tablet {
            font-size: 65px;
            line-height: 80px;
        }

        @media @mobile {
            font-size: 50px;
            line-height: 60px;
            padding: 0 20px;
            text-align: center;
        }

        @media @mobile-mini {
            font-size: 40px;
            line-height: 50px;
        }

        @media @desktop-xxl {
            margin-bottom: 75px;
        }
    }

    &-table {
        width: 70%;
        display: flex;
        margin: 0 auto;

        @media @desktop-mini, @tablet {
            width: 80%;
        }

        @media @mobile {
            display: none;
            //width: ~'calc(100% - 40px)';
        }
    }

    &-col {
        width: ~'calc(50% - 40px)';
        min-width: ~'calc(50% - 40px)';

        @media @mobile {
            width: ~'calc(50% - 10px)';
            min-width: ~'calc(50% - 10px)';
        }

        &:first-child {
            margin-right: 80px;

            @media @mobile {
                margin-right: 20px;
            }

        }
    }

    &-text {
        font-size: 20px;
        line-height: 24px;
        margin-bottom: 30px;
        padding-left: 50px;
        position: relative;

        &:before {
            content: '→';
            font-size: 30px;
            line-height: 30px;
            position: absolute;
            left: 0;
            top: 0;
        }

        a {
            transition: border-color .3s ease, color .3s ease;
            //background: #fff;
            margin: 6px 0;
            //border-radius: 2px;

            font-size: 14px;
            padding: 5px 10px;
            border: 1px solid #FFEF6C;
            color: #FFEF6C;
            line-height: 20px;
            letter-spacing: .04px;
            position: relative;
            margin-bottom: 0;
            display: inline-block;

            &:hover {
                //opacity: .21;
                border-color: rgba(255, 239, 108, .2);
                color: #fff;
            }
        }

        @media @mobile-c {
            font-size: 16px;
            margin-bottom: 20px;
        }

        @media @desktop-xxl {
            font-size: 24px;
            line-height: 30px;
        }

        &:last-child {
            margin-bottom: 0;
        }
    }

    &-button {
        width: 220px;
        height: 50px;
        display: inline-block;
        text-align: center;
        margin: 0 auto;
        position: absolute;
        z-index: 5;
        top: 20px;
        right: 20px;
        font-size: 20px;
        padding-bottom: 3px;
        letter-spacing: .4px;
        cursor: pointer;
        outline: none;
        background: transparent;
        border: 1px solid #FFEF6C;
        color: #FFEF6C;
        transition: color .3s ease, border-color .3s ease;

        @media @mobile {
            top: 10px;
            right: 10px;
            font-size: 14px;
            width: 45%;
            padding-bottom: 0;
        }

        &:hover {
            border-color: rgba(255, 239, 108, .2);
            color: #fff;
        }
    }

    &-line {
        position: absolute;
        left: 50%;
        transform: translate3d(-50%, 0, 0);
        bottom: 20px;
        white-space: nowrap;
        cursor: pointer;
        opacity: 0;
        pointer-events: none;
        transition: opacity .3s ease, transform .3s ease;

        @keyframes line {
            0% {
                transform: translate3d(-100%, 0, 0);
            }
            50% {
                transform: translate3d(0, 0, 0);
            }
            100% {
                transform: translate3d(100%, 0, 0);
            }
        }

        &.isActive {
            opacity: 1;
            pointer-events: all;
        }

        &:hover {
            transform: translate3d(-50%, -5px, 0);
        }
    }

    &-lineText {
        margin: 0 5px;
        font-size: 20px;
        transition: color .3s ease;
        position: relative;
        z-index: 5;

        &.isItalic {
            font-style: italic;
        }

        @media @desktop-xxl {
            font-size: 24px;
            line-height: 30px;
        }
    }
}
